Download it now!
Bug 114099 - LibO ignores set printer and uses default printer when doing mail merge
Summary: LibO ignores set printer and uses default printer when doing mail merge
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Michael Weghorn
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2017-11-27 17:23 UTC by Duncan Bellamy
Modified: 2019-09-25 14:28 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Zebra LP2824 Label Template (12.08 KB, application/vnd.oasis.opendocument.text-template)
2017-11-27 17:23 UTC, Duncan Bellamy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Duncan Bellamy 2017-11-27 17:23:08 UTC
Created attachment 138021 [details]
Zebra LP2824 Label Template

I have a label template in writer and in this document the printer is set to my label printer (Zebra LP2824) which can be seen in "File->Printer Settings..."

If I try and print and click yes to the "do you want to print a form letter" dialog it brings ups the mail merge window and I can select which records to print, however for both printer and file output the printer is set to my inkjet printer not my label printer like the original document and if I then change the printer the page is somehow not reformatted so it is printed 90' wrong.

The only way I can print a mail merge to my label printer is to run the mail merge to a file, and then open the file and set the printer to my label printer before I try and print it.
Comment 1 tommy27 2017-11-28 08:32:51 UTC
did you try latest 5.4.3.2?
Comment 2 Duncan Bellamy 2017-11-28 09:28:23 UTC
Yes just tried it and 5.4.3.2 has the same behaviour.
Comment 3 Timur 2018-03-26 09:14:44 UTC
Mail merge example requires also data source. It's more convenient to prepare a test document (single field is enough) that uses already present Bibliography database. 

But I repro this, also with master 6.1+. Looks like inherited from OO. 
Although "File->Printer Settings..." is set to desired printer, LO offers default printer. 
If I change to desired printer during the print, it is offered with it's default settings (ex. A4 size), not those that are set in "File->Printer Settings..." (ex. A5 size).
Comment 4 Michael Weghorn 2019-09-25 09:13:10 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/79515

With this in place, values in print dialog are initialized based on document settings for the printer, just like for the non-mail-merge scenario.
Comment 5 Commit Notification 2019-09-25 14:28:03 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f4fd98fc9f1b38071a806e52c17d26725c6a33c5

tdf#114099 mail merge: Copy JobSetup to working doc

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.